Subject: bug#13170: automake and pyconfigure: a future integration?

From: Stefano Lattarini <[email-masked]>
Date: Fri, 14 Dec 2012 09:36:02 +0100

On 12/14/2012 01:00 AM, Kerrick Staley wrote:
> Quite a lengthy response for such a simple inquiry!
> 
> Really, I'd just like to get gobject-introspection to compile on Arch
> Linux. The problem is that gobject-introspection's configure.ac has the line
> 
> AM_PATH_PYTHON([2.5])
> 
> but gobject-introspection can't actually work with Python 3 or higher (the
> default on Arch); it needs Python 2. Automake doesn't seem to provide a way
> to specify this need.
> 
> The problem could be fixed by changing AM_PATH_PYTHON could be changed to
> prefer Python 2 over Python 3, as my patch does. However, I guess this
> would cause packages that support both Python 2 and Python 3 to build
> against Python 2 by default even if Python 3 is present.
>
> Pyconfigure looks like the best way forward, then, but it's not widely
> deployed at this point. AM_PATH_PYTHON could also just be tweaked to
> support a "max version" argument. I'm passing PYTHON=/usr/bin/python2 to
> autogen.sh for the time being.
> 
As another workaround, you might copy the Automake-provided python.m4 file
to a local m4 directory, apply your patch to this copy, and the ensure you
invoke aclocal with a '-I' option that will cause your patched copy to be
considered before the one bundled with Automake.

HTH,
  Stefano